Announcement

Collapse
No announcement yet.

Problem Upgrading From vB 2.3.3. to vb 3

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Weirdwolf
    replied
    Originally posted by Steve Machol
    You should also run the database conflicts script on this before proceeding:

    http://www.vbulletin.com/forum/showt...threadid=73163
    I started back over from scratch again, but this time ran this script you linked here beforehand. I altered the tabelnames/columnnames that it pointed out to me and then reran the vB3.0.1 Upgrade again. Everything went perfectly and effortlessly.

    Thank you so much for you help.

    Now I'm off to figure out how to get an image as the background of my page...

    Leave a comment:


  • Steve Machol
    replied
    Then unfortunately you can't. The other option is to manually drop the vB3-only tables from the database. You will need to compare the vB2 table list to the vB3 table list and make sure you don't delete the vB2 ones. I strongly recommend you make a verified backup using telnet or ssh before doing this.

    Code:
    vB2 tables:
    access
    adminlog
    adminutil
    announcement
    attachment
    avatar
    bbcode
    calendar_events
    customavatar
    forum
    forumpermission
    icon
    moderator
    poll
    pollvote
    post
    privatemessage
    profilefield
    replacement
    replacementset
    search
    searchindex
    session
    setting
    settinggroup
    smilie
    style
    subscribeforum
    subscribethread
    template
    templateset
    thread
    threadrate
    user
    useractivation
    userfield
    usergroup
    usertitle
    word
     
    vB3 tables:
    access
    adminhelp
    administrator
    adminlog
    adminutil
    announcement
    attachment
    attachmenttype
    attachmentviews
    avatar
    bbcode
    calendar
    calendarcustomfield
    calendarmoderator
    calendarpermission
    cron
    cronlog
    customavatar
    customprofilepic
    datastore
    deletionlog
    editlog
    event
    faq
    forum
    forumpermission
    holiday
    icon
    imagecategory
    imagecategorypermission
    language
    mailqueue
    moderation
    moderator
    moderatorlog
    passwordhistory
    phrase
    phrasetype
    pm
    pmreceipt
    pmtext
    poll
    pollvote
    post
    post_parsed
    posthash
    profilefield
    ranks
    regimage
    reminder
    reputation
    reputationlevel
    search
    searchindex
    session
    setting
    settinggroup
    smilie
    stats
    strikes
    style
    subscribeevent
    subscribeforum
    subscribethread
    subscription
    subscriptionlog
    template
    thread
    threadrate
    threadviews
    upgradelog
    user
    useractivation
    userban
    userfield
    usergroup
    usergroupleader
    usergrouprequest
    usernote
    userpromotion
    usertextfield
    usertitle
    word

    Leave a comment:


  • Weirdwolf
    replied
    Originally posted by Steve Machol
    You need to restore the vB2 db to a new database, point config.php to it, and try again.
    How do I do this when my provider only allows for one mySQL database?

    Leave a comment:


  • Steve Machol
    replied
    That's because some of the vB3 tables have already been added to this database. You need to restore the vB2 db to a new database, point config.php to it, and try again. You should also run the database conflicts script on this before proceeding:

    http://www.vbulletin.com/forum/showt...threadid=73163

    Leave a comment:


  • Weirdwolf
    replied
    I've installed the Trader Rating hack and the ShoutBox hack.

    [edit:

    Aaargh! Now it's not even letting me run the upgrade script giving me the "You've already tried to run this script...please revert database" error again]
    Last edited by Weirdwolf; Wed 16th Jun '04, 12:24pm.

    Leave a comment:


  • Zachery
    replied
    What hacks have you installed on your 2.3.4 if any?

    Leave a comment:


  • Weirdwolf
    replied
    This is very frustrating. I can't believe an upgrade is this difficult.

    I've been working on this thing since 7am this morning, and now here it is 3pm and I'm still getting the same errors and same problems as this morning.

    I tried installing vBulletin 3.0.1 in a seperate directory so I could maybe use the database tables created with that install (my host only allows 1 mySQL database per package, so all of my tables can only be on one database). The clean install worked fine, but couldn't figure out a way to get the database from my current board (2.3.4) to the new one (3.0.1). So, I deleted the new install, re-uploaded my old board and started from scratch, only this time leaving the database tables for vB3. I got the error message telling me that "We have detected you have already tried to run the upgrade script. Please revert back to a vB 2.2.x or 2.3.x database". I deleted the vB3 tables and am now back to square 1, getting the table datastore doesn't exist error again. I've followed the upgrade manual to the letter twice and run into the same problem. Please help!

    Leave a comment:


  • Weirdwolf
    replied
    Originally posted by Steve Machol
    This is the second error I've seen like this and I don't know what the problem is. I'll see if the Devs can take a look.
    I'm getting this very same error. I'm trying to upgrade from vB 2.3.4 to 3.0.1. The problem is that the new install/upgrade software is trying to call information from the table datastore, which if we were running a version of vBulletin prior to this one doesn't exist. I can't seem to find an SQL file that would allow me to put that table in my database and run the upgrade.

    I would very much love to see how LilPimpinRapper fixed this issue as well...

    Leave a comment:


  • bharvey42
    replied
    Yeah what did you do to fix this issue?

    Thanks,
    Brandon

    Leave a comment:


  • Zachery
    replied
    xTermn8t please start your own thread.

    Leave a comment:


  • xTerMn8r
    replied
    so do I ....

    would appreciate the solutions ya found posted...

    Here's my error info:

    Database error in vBulletin :
    Invalid SQL:
    SELECT title, data
    FROM datastore
    WHERE title IN ('options', 'cron', 'forumcache', 'usergroupcache', 'stylecache')

    mysql error: Table 'newctctest.datastore' doesn't exist
    mysql error number: 1146

    MySQL ver: 4.0.18
    php 4.3.4

    Leave a comment:


  • jpoon
    replied
    What was your solution? I have a simular problem.

    Leave a comment:


  • LilPimpnRapper
    replied
    Im God. Everything is good now. Thanx for the help.

    Leave a comment:


  • LilPimpnRapper
    replied
    Did it all over again. And i still get this error. Can i just go and do the upgrade step.


    Database error in vBulletin :

    Invalid SQL:
    SELECT title, data FROM datastore
    WHERE title IN ('options', 'cron', 'forumcache', 'usergroupcache', 'stylecache', 'userstats', 'birthdaycache', 'maxloggedin', 'iconcache', 'eventcache', 'mailqueue')

    mysql error: Table 'rkqxhnvj_forums.datastore' doesn't exist

    mysql error number: 1146

    Date: Saturday 27th of March 2004 08:29:40 PM
    Script: http://www.raparena.com/forums/
    Referer:
    IP Address: 65.35.110.218

    Leave a comment:


  • LilPimpnRapper
    replied
    My host does daily backups so they backed up the forums for me. I'm goin to try again to intall vB 3. I'll let you know if i run into the same problem. Thanx for the help Steve.

    Leave a comment:

widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
Working...
X